/*******************************************************************************

*   Copyright (c) Telechips Inc.


*   TCC Version 1.0

This source code contains confidential information of Telechips.

Any unauthorized use without a written permission of Telechips including not
limited to re-distribution in source or binary form is strictly prohibited.

This source code is provided "AS IS" and nothing contained in this source code
shall constitute any express or implied warranty of any kind, including without
limitation, any warranty of merchantability, fitness for a particular purpose
or non-infringement of any patent, copyright or other third party intellectual
property right.
No warranty is made, express or implied, regarding the information's accuracy,
completeness, or performance.

In no event shall Telechips be liable for any claim, damages or other
liability arising from, out of or in connection with this source code or
the use in the source code.

This source code is provided subject to the terms of a Mutual Non-Disclosure
Agreement between Telechips and Company.
*
*******************************************************************************/
// clang-format off

#include <stdint.h>

/* Common */
unsigned char dst_buffer[1024 * 2];
unsigned char plain_data[32] = {
		0x05, 0x06, 0x07, 0x08,	0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08,
		0x05, 0x06, 0x07, 0x08,	0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08
};
unsigned char key[16] = {
		0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04
};
unsigned char iv[12] = {
		0x12, 0x34, 0x56, 0x78, 0x12, 0x34, 0x56, 0x78, 0x12, 0x34, 0x56, 0x78
};
unsigned char aes_iv[16] = {
		0x12, 0x34, 0x56, 0x78, 0x12, 0x34, 0x56, 0x78, 0x12, 0x34, 0x56, 0x78, 0x12, 0x34, 0x56, 0x78
};

/* AES Test */
unsigned char ECB_cipher[32] = {
		0xC0, 0x3D, 0x4E, 0x0C, 0x09, 0x11, 0x34, 0x21, 0x04, 0x78, 0x3B, 0x6A, 0xB6, 0xD2, 0x90, 0x59,
		0xC0, 0x3D, 0x4E, 0x0C, 0x09, 0x11, 0x34, 0x21, 0x04, 0x78, 0x3B, 0x6A, 0xB6, 0xD2, 0x90, 0x59
};
unsigned char CBC_cipher[32] = {
		0xD2, 0xAE, 0x8E, 0x48, 0xAA, 0x49, 0x5D, 0x30, 0xD1, 0x07, 0xA7, 0x1D, 0x81, 0x8C, 0x7A, 0x5D,
		0xD8, 0xDE, 0xAF, 0x4B, 0xFA, 0x73, 0x72, 0xFF, 0xE9, 0x82, 0x9E, 0xC5, 0x7B, 0x98, 0x06, 0xF5
};
unsigned char CCM_cipher[32] = {
		0xee, 0xe5, 0x0b, 0x43, 0x98, 0x95, 0x27, 0x56, 0x57, 0xad, 0x0e, 0x3f, 0xb7, 0x79, 0x34, 0x15,
		0xa4, 0xc0, 0xda, 0xac, 0x50, 0xbf, 0xe4, 0x4e, 0xde, 0x2b, 0x72, 0xfd, 0x91, 0x4f, 0xde, 0xc3
};
unsigned char GCM_cipher[32] = {
		0x16, 0x29, 0xb1, 0x8b, 0x2d, 0x06, 0x35, 0xe5, 0x48, 0x9d, 0xcd, 0xda, 0x52, 0xdb, 0xe9, 0xfd,
		0x46, 0xea, 0xc7, 0xf1, 0x47, 0x82, 0xe4, 0x83, 0x18, 0x69, 0x66, 0x97, 0x47, 0xd6, 0x7d, 0x47
};
unsigned char AES_ccm_tag[16] = {
		0x46, 0x41, 0xdd, 0x73, 0x09, 0x0b, 0x1f, 0xb8, 0xdb, 0xe4, 0x33, 0xd7, 0xcb, 0xed, 0xcf, 0x4b
};
unsigned char AES_gcm_tag[16] = {
		0x50, 0xda, 0xfe, 0xb3, 0x0f, 0xc1, 0x12, 0x08, 0xed, 0x5c, 0x13, 0x6d, 0x42, 0x4b, 0xb0, 0x35
};
unsigned char AES_aad[16] = {
		0x89, 0xAB, 0xCD, 0xEF, 0x89, 0xAB, 0xCD, 0xEF, 0x89, 0xAB, 0xCD, 0xEF, 0x89, 0xAB, 0xCD, 0xEF
};
unsigned char sm4_ECB_cipher[32] = {
		0x6D, 0x50, 0x86, 0x74, 0x95, 0xA4, 0xE5, 0x91, 0x62, 0x6E, 0xD5, 0x7A, 0x52, 0xE0, 0xD6, 0x83,
		0x6D, 0x50, 0x86, 0x74, 0x95, 0xA4, 0xE5, 0x91, 0x62, 0x6E, 0xD5, 0x7A, 0x52, 0xE0, 0xD6, 0x83
};


/* MAC Test */
unsigned char mac_key[32] = {
		0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04,
		0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04, 0x01, 0x02, 0x03, 0x04
};
unsigned char cmac_out[16] = {
		0xfb, 0x7c, 0xf6, 0x21, 0xd0, 0xc4, 0x86, 0x50, 0x6a, 0x1d, 0x4e, 0x29, 0x8a, 0xe5, 0xe0, 0xe3
};
unsigned char hmac_out[20] = {
		0x6c, 0x91, 0xbb, 0x89, 0x6f, 0xbb, 0x8b, 0x23, 0x5c, 0xd3, 0x42, 0xd5, 0x12, 0xa2, 0x6f, 0x4e,
		0xf6, 0x91, 0x94, 0x45
};
unsigned char sm3_hmac_out[32] = {
		0x1E, 0x33, 0xEE, 0x7C, 0xFD, 0x7B, 0x24, 0xE8, 0xFE, 0x43, 0xFC, 0x34, 0xED, 0xCA, 0xB5, 0x42,
		0xE4, 0x4D, 0x71, 0x49, 0xE8, 0xC7, 0x25, 0x87, 0xFB, 0xF5, 0x2D, 0x6D, 0xE0, 0xDC, 0x9E, 0x8C
};

/* RSASSA Test */
unsigned char modN[128] = {
	0xB6,0x74,0x4D,0x09, 0x45,0xCE,0x41,0xC7, 0xD1,0x6A,0x09,0xD8, 0xF2,0xE4,0xED,0x86,
	0xD8,0x6C,0x9F,0x95, 0xF4,0xEB,0x77,0x8F, 0x98,0x51,0x10,0x58, 0x54,0xAD,0xA5,0x18,
	0xAB,0xFE,0x6D,0x34, 0x21,0xD0,0x1D,0xA5, 0x91,0x69,0xDD,0x37, 0x7F,0x08,0x8B,0xEC,
	0xB3,0xF7,0xD6,0x7B, 0xFA,0xB9,0xF7,0x0E, 0x5E,0x87,0x9C,0xC4, 0xD2,0x77,0x7C,0xD1,
	0x4D,0x8A,0x24,0x1C, 0x31,0xC3,0x67,0x25, 0x71,0xF2,0x57,0xB9, 0xB2,0xE8,0xE6,0xB6,
	0xF3,0xA1,0x9A,0x10, 0xD4,0xA9,0xC9,0xB4, 0x83,0x46,0xA5,0x29, 0xC9,0xF1,0x03,0x87,
	0xCD,0xA4,0xEF,0x16, 0xBC,0x3E,0x1C,0x28, 0xAC,0x24,0x3E,0xEC, 0x40,0x2E,0x24,0x8C,
	0x58,0x88,0x3C,0x7B, 0x90,0x67,0xE6,0x93, 0x07,0xEA,0x54,0x5B, 0x0A,0x1F,0x30,0x33
};
unsigned char rsa_prikey[128] = {
	0x44,0x17,0xF5,0xA4, 0x4F,0x4C,0x22,0x1A, 0xBC,0x1A,0x52,0x20, 0x88,0xCE,0x4D,0xA3,
	0xB4,0xE4,0x1D,0x4F, 0x2F,0x00,0x2E,0x38, 0x06,0x45,0xC2,0xCE, 0xE4,0x93,0x85,0xF9,
	0x46,0x3F,0x87,0x6C, 0x1C,0x6E,0x7A,0x92, 0x0F,0x4A,0x2E,0x48, 0x86,0xFD,0x9E,0x93,
	0x31,0xBB,0x7E,0x6D, 0xF8,0xEE,0x2C,0xB9, 0x4D,0x28,0x59,0xA6, 0xCF,0x51,0xCE,0xE0,
	0x00,0x45,0xF3,0x11, 0x9F,0xEF,0xD2,0x72, 0x05,0x21,0x2D,0x81, 0x7D,0xF7,0xB4,0x64,
	0xE2,0xE2,0xF1,0xF0, 0x25,0x48,0x3E,0x5F, 0xF8,0xCC,0x9E,0x09, 0x61,0xA3,0x8D,0x34,
	0x83,0x16,0x6D,0x53, 0xDC,0xE4,0x33,0x8B, 0x8E,0x32,0x0E,0x85, 0xE8,0xF0,0xE4,0xF7,
	0xDF,0x5B,0x8E,0x60, 0x8B,0x3E,0xB4,0xDE, 0xC3,0x45,0x73,0x61, 0xAD,0xC9,0x97,0xD9
};
unsigned char rsa_pubkey[4] = {
	0x00,0x01,0x00,0x01
};
unsigned char pkcs_sig[128] = {
	0x44,0x57,0x05,0x83, 0x9F,0xDF,0x0C,0x6A, 0x89,0x1F,0xCC,0x80, 0x91,0x93,0x94,0x92,
	0x19,0x69,0xC0,0x29, 0xED,0xA9,0x5C,0xEB, 0xFA,0xC9,0xE4,0x07, 0x34,0x79,0x66,0xD3,
	0xB7,0xB6,0xCC,0x2B, 0x1A,0x72,0x00,0xB6, 0x5A,0x52,0x6D,0x67, 0xDC,0xEC,0xE6,0x0A,
	0x01,0xC6,0xC8,0x24, 0x8C,0x2B,0x66,0x0B, 0xDF,0xED,0x49,0x1E, 0x0E,0x59,0xDB,0xAC,
	0x55,0xD9,0xE8,0x7A, 0xE2,0xA7,0x78,0x43, 0x24,0x5B,0x21,0x71, 0x8F,0x95,0xB5,0x38,
	0x7B,0x45,0xF8,0x84, 0x2F,0xA9,0x38,0x36, 0x40,0x91,0x32,0x8B, 0x55,0x7A,0x1F,0x1F,
	0xAE,0x50,0xC9,0xAE, 0x29,0x09,0x5A,0xA8, 0x8C,0x24,0x57,0x73, 0xD0,0x39,0x28,0xC6,
	0x06,0x5A,0xE2,0x16, 0x5A,0x1C,0xD2,0x40, 0xA5,0x5E,0x3A,0xA5, 0x71,0x6E,0x62,0x7B
};
unsigned char pss_sig[128] = {
	0x26,0x07,0x49,0x2D, 0xA2,0xF5,0xE3,0xCF, 0x9A,0x8B,0xAD,0xC2, 0xA0,0xBF,0x39,0x00,
	0x66,0x90,0x80,0x71, 0xB4,0x78,0xDC,0x9A, 0xDA,0x81,0x5A,0x25, 0x56,0xEC,0xEE,0x16,
	0xC8,0x6B,0x84,0x7C, 0x6D,0x54,0xFE,0x00, 0xFD,0xC1,0x59,0xFF, 0xBD,0x07,0x62,0x25,
	0x77,0x88,0xD9,0xBF, 0x38,0xF3,0x3A,0xDD, 0x59,0xD5,0x84,0xA7, 0xDA,0x32,0x41,0xBC,
	0x84,0x11,0x90,0x3C, 0xC6,0xB1,0xD8,0x08, 0x4F,0x0B,0x91,0x19, 0xE9,0xDB,0xA8,0x9D,
	0x1A,0xA8,0x9E,0xBF, 0x6A,0x69,0x79,0x00, 0xB2,0x23,0x64,0xEE, 0xBD,0x3C,0x75,0x26,
	0x87,0xFE,0xBB,0x80, 0xA3,0xC6,0xA8,0x23, 0x66,0x0D,0xA2,0x01, 0x12,0xE6,0x43,0x3D,
	0x59,0x5A,0x9D,0x88, 0x43,0x7B,0x96,0xBA, 0xD7,0x5C,0x2C,0xE4, 0x0F,0x0D,0xCA,0xA7
};
unsigned char digest[32] = {
	0x00,0x01,0x02,0x03, 0x04,0x05,0x06,0x07, 0x08,0x09,0x0A,0x0B, 0x0C,0x0D,0x0E,0x0F,
	0x10,0x11,0x12,0x13, 0x14,0x15,0x16,0x17, 0x18,0x19,0x1A,0x1B, 0x1C,0x1D,0x1E,0x1F
};

/* ECDSA Test */
unsigned char secp256r1_dig[32] = {
		0x00,0x01,0x02,0x03,0x04,0x05,0x06,0x07,0x08,0x09,0x0A,0x0B,0x0C,0x0D,0x0E,0x0F,
		0x10,0x11,0x12,0x13,0x14,0x15,0x16,0x17,0x18,0x19,0x1A,0x1B,0x1C,0x1D,0x1E,0x1F
};
unsigned char secp256r1_private[32] = {
		0xA5,0x5A,0x22,0xAC,0xDB,0x79,0x10,0x5A,0x68,0x29,0x04,0xF0,0x24,0x6E,0xDD,0xA4,
		0x2C,0xAB,0xAB,0x82,0xF0,0x5A,0x98,0xA2,0x13,0x59,0x5B,0x68,0xD7,0x55,0xCE,0xF5,
};
unsigned char secp256r1_public[64] = {
		0xA3,0xC7,0xED,0x61,0x29,0x69,0x09,0x06,0x1D,0x61,0x55,0xB2,0x47,0xD5,0x6D,0x45,
		0x9E,0xDB,0xF3,0x6C,0x92,0x83,0xEB,0xA8,0x53,0x67,0x5C,0xEC,0x9E,0x56,0x64,0x0F,
		0x48,0x7B,0xED,0x5E,0x2A,0x06,0x2A,0xBD,0x1D,0x9E,0x4C,0x2B,0x58,0xEC,0xE6,0xDA,
		0xAD,0xDF,0x5A,0x13,0xC6,0x85,0x65,0xE0,0xF7,0xAB,0xDA,0x8D,0x87,0x5D,0x62,0x3C,
};
unsigned char secp256r1_public_x[32] = {
		0xA3,0xC7,0xED,0x61,0x29,0x69,0x09,0x06,0x1D,0x61,0x55,0xB2,0x47,0xD5,0x6D,0x45,
		0x9E,0xDB,0xF3,0x6C,0x92,0x83,0xEB,0xA8,0x53,0x67,0x5C,0xEC,0x9E,0x56,0x64,0x0F,
};
unsigned char secp256r1_public_y[32] = {
		0x48,0x7B,0xED,0x5E,0x2A,0x06,0x2A,0xBD,0x1D,0x9E,0x4C,0x2B,0x58,0xEC,0xE6,0xDA,
		0xAD,0xDF,0x5A,0x13,0xC6,0x85,0x65,0xE0,0xF7,0xAB,0xDA,0x8D,0x87,0x5D,0x62,0x3C,

};
unsigned char secp256r1_sig[64] = {
		0x9C,0xCB,0x1F,0xA0,0xBF,0x97,0x95,0x16,0xF8,0xA5,0xDB,0x8B,0x64,0x24,0xD0,0x35,
		0x66,0xBD,0x48,0x2C,0x3A,0xE0,0xEB,0xB9,0x0B,0x67,0x32,0xFB,0x80,0x43,0xAC,0x1B,
		0x59,0x4C,0x05,0x17,0xE0,0x38,0x45,0x24,0x8B,0x94,0xC7,0x16,0x92,0x82,0x17,0x79,
		0x6A,0xFC,0x1C,0x45,0x1C,0xD1,0xDA,0x75,0xAB,0x0E,0xF5,0x2A,0x8D,0x0A,0xC9,0x8E,
};

/* HASH Test */
unsigned char Digest_SHA1_160[20] = {
	0x45, 0x28, 0xde, 0xce, 0x6f, 0x68, 0x0e, 0xc6, 0x59, 0x0e, 0x36, 0x6f, 0x59, 0x63,
	0x43, 0x8d, 0xcf, 0xce, 0x34, 0x92
};
unsigned char Digest_SM3_256[32] = {
	0x0A, 0x06, 0xFA, 0x67, 0x63, 0x29, 0x6B, 0xD7, 0x8C, 0x32, 0xB7, 0x4B, 0xCC, 0xEA,
	0x1F, 0x9C, 0x1E, 0x37, 0x2E, 0xD6, 0x3D, 0x67, 0x45, 0xBD, 0xB8, 0xE1, 0x55, 0x0C,
	0x38, 0xEB, 0xD8, 0x7A
};
unsigned char Digest_SHA256_256[32] = {
	0x59, 0x47, 0xDB, 0x68, 0x5E, 0xC0, 0x33, 0xAD, 0x3C, 0xBE, 0x68, 0x60, 0x23, 0x5A,
	0x36, 0xCA, 0xC9, 0x89, 0xFD, 0x8E, 0x23, 0x04, 0x60, 0xDF, 0x28, 0x1F, 0x18, 0xFA,
	0xA0, 0x4A, 0x21, 0xB3
};
unsigned char Hash_Message[32] = {
	0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06,
	0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08, 0x05, 0x06, 0x07, 0x08,
	0x05, 0x06, 0x07, 0x08
};

/* Random Number Test */
unsigned char rng_data[32] = {0};

// clang-format on
